# level.py - level data and class

# Background level data
# A level is a list of list of tuples. Level is a 10x10 room of 48 pixel images
#
# every tuple represents a single background tile
# first item is tile row in the tileset
# second item is tile col in the tilest
# third item defines whether solid or not (0 or 1)


# Class to represent levels
class Level:
	def __init__ (self, bgdata, levelleft=None, levelright=None,
				leveltop = None, levelbottom = None, objects=[], npcs=[]):
		self.background = bgdata
		# portals for level above, below, left or right of the character
		self.levelleft = levelleft
		self.levelright = levelright
		self.leveltop = leveltop
		self.levelbottom = levelbottom

		# objects in the level as a list
		self.objects = objects

		# npcs in the level as a list
		self.npcs = npcs
